libxml++ 2.40.1

- Main Page
- Related Pages
- Namespaces
- Classes

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | List of all members
xmlpp::exception Class Reference

Base class for all xmlpp exceptions. More...

`#include <libxml++/exceptions/exception.h>`

Inheritance diagram for xmlpp::exception:
[legend]

## Public Member Functions
| exception (const Glib::ustring& message)
| ~exception () noexceptoverride
virtual exception | Clone () const
virtual void | Raise () const
const char* | what () const noexceptoverride

## Detailed Description

Base class for all xmlpp exceptions.

## Constructor & Destructor Documentation

xmlpp::exception::exception | ( | const Glib::ustring & | message | ) |
| explicit

xmlpp::exception::~exception | ( |  | ) |
| override noexcept

## Member Function Documentation

virtual exception xmlpp::exception::Clone | ( |  | ) | const
| virtual

Reimplemented in xmlpp::parse_error, xmlpp::validity_error, and xmlpp::internal_error.

virtual void xmlpp::exception::Raise | ( |  | ) | const
| virtual

Reimplemented in xmlpp::parse_error, xmlpp::validity_error, and xmlpp::internal_error.

const char* xmlpp::exception::what | ( |  | ) | const
| override noexcept